[WISHLIST] Can a GTK version of hplip-gui be provided

Bug #570842 reported by John Vivirito on 2010-04-27
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
HPLIP
Undecided
Unassigned
One Hundred Papercuts
Undecided
Unassigned
hplip (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: hplip

Right now the only GUI i have found is hplip-gui but it is QT and wants to install KDE/QT packages. I know myself would rather keep a clean GTK system weather Xubuntu or Ubuntu.

If it is only going to be QT maybe the description can be changed to something that mentions QT. I know it is too late for Lucid but maybe target for Maverick?

Installing:
gnomefreak@Development:~$ install hplip-gui
[sudo] password for gnomefreak:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libfont-freetype-perl ttf-lyx
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  hplip-cups libqt4-assistant libqt4-help libqt4-scripttools libqt4-svg
  libqt4-test python-qt4 python-qt4-dbus python-renderpm python-reportlab
  python-reportlab-accel python-sip
Suggested packages:
  hplip-doc python-qt4-dbg python-renderpm-dbg python-egenix-mxtexttools
  python-reportlab-doc
The following NEW packages will be installed:
  hplip-cups hplip-gui libqt4-assistant libqt4-help libqt4-scripttools
  libqt4-svg libqt4-test python-qt4 python-qt4-dbus python-renderpm
  python-reportlab python-reportlab-accel python-sip

I'm not sure why it is QT only.
It would be great to have GTK support. If any more info is needed I can provide it

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: hplip-gui (not installed)
ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-21-generic i686
NonfreeKernelModules: nvidia
Architecture: i386
CupsErrorLog:
 E [27/Apr/2010:12:03:09 -0400] Unable to remove temporary file "/var/spool/cups/tmp/.hplip" - Is a directory
 E [27/Apr/2010:12:07:25 -0400] Unable to remove temporary file "/var/spool/cups/tmp/.hplip" - Is a directory
CurrentDmesg:
 [ 23.164176] usb 2-1: usbfs: interface 0 claimed by usblp while 'usb' sets config #1
 [ 28.892035] eth0: no IPv6 routers present
 [ 36.512046] end_request: I/O error, dev fd0, sector 0
 [ 36.580044] end_request: I/O error, dev fd0, sector 0
Date: Tue Apr 27 13:09:59 2010
Lpstat:
 device for Photosmart-7800-series: hp:/usb/Photosmart_7800_series?serial=MY59L330SQ04H9
 device for Photosmart-7800-series-2: usb://HP/Photosmart%207800%20series?serial=MY59L330SQ04H9
Lsusb:
 Bus 002 Device 002: ID 03f0:c002 Hewlett-Packard PhotoSmart 7800 series
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 002: ID 09da:0006 A4 Tech Co., Ltd Optical Mouse WOP-35 / Trust 450L Optical Mouse
 Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: Dell Computer Corporation OptiPlex GX400
Papersize: letter
PpdFiles:
 Photosmart-7800-series: HP Photosmart 7800 Series hpijs, 3.10.2
 Photosmart-7800-series-2: HP Photosmart 7800 Series hpijs, 3.10.2
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-21-generic root=UUID=d48dd035-c4de-4431-a00c-a0f3a923199e ro quiet splash
ProcEnviron:
 PATH=(custom, user)
 LANG=C
 SHELL=/bin/bash
SourcePackage: hplip
dmi.bios.date: 10/05/2001
dmi.bios.vendor: Dell Computer Corporation
dmi.bios.version: A05
dmi.board.name: OptiPlex GX400
dmi.board.vendor: Dell Computer Corporation
dmi.chassis.type: 6
dmi.chassis.vendor: Dell Computer Corporation
dmi.modalias: dmi:bvnDellComputerCorporation:bvrA05:bd10/05/2001:svnDellComputerCorporation:pnOptiPlexGX400:pvr:rvnDellComputerCorporation:rnOptiPlexGX400:rvr:cvnDellComputerCorporation:ct6:cvr:
dmi.product.name: OptiPlex GX400
dmi.sys.vendor: Dell Computer Corporation

Related branches

John Vivirito (gnomefreak) wrote :
summary: - [WISHLIST] Can we make a GTK version of hplip-gui
+ [WISHLIST] Can a GTK version of hplip-gui be provided
Changed in hplip (Ubuntu):
importance: Undecided → Wishlist
Charlie Kravetz (charlie-tca) wrote :

 Thanks for reporting this bug and any supporting documentation. Since this bug has enough information provided for a developer to begin work, I'm going to mark it as confirmed and let them handle it from here. Thanks for taking the time to make Ubuntu better!

Changed in hplip (Ubuntu):
status: New → Triaged
Charlie Kravetz (charlie-tca) wrote :

Thank you for this suggestion. I have added a papercut for this item, since it should be easy to add to the documentation, at the very least. Making sure the documentation and descriptions are clear is very important.

Till Kamppeter (till-kamppeter) wrote :

Creating a GTK version of hplip-gui would be a major rewrite of HP's GUI tools. I would not consider this a papercut.

Changed in hundredpapercuts:
status: New → Invalid
Charlie Kravetz (charlie-tca) wrote :

Would a simple change in the description/summary in Synaptic Package Manager require a new bug? Could that be done as a papercut for Maverick.

Till Kamppeter (till-kamppeter) wrote :

Only changing the package description is no problem, this would be really a papercut. This also does not require a new bug report.

Changed in hplip (Ubuntu):
status: Triaged → In Progress
status: In Progress → Fix Committed
Till Kamppeter (till-kamppeter) wrote :

I have changed the description of the Ubuntu/Debian package appropriately now, but I leave the upstream task open as perhaps the real fix (add GTK version of the GUI) could still be done.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hplip - 3.10.6-1ubuntu4

---------------
hplip (3.10.6-1ubuntu4) maverick; urgency=low

  * debian/control: Make user aware of that the tools in hplip-gui are Qt-based
    (LP: #570842).
 -- Till Kamppeter <email address hidden> Sat, 14 Aug 2010 10:57:03 +0200

Changed in hplip (Ubuntu):
status: Fix Committed → Fix Released
Charlie Kravetz (charlie-tca) wrote :

upstream project is invalid; bug has been fixed

Changed in hplip:
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers